
CLight = 2.99792458E+08     # Speed of light [m/s]      */
HPlanck = 6.6260755E-34     # Planck's constant [Js]    */
HC = HPlanck * CLight
KBoltzmann = 1.380658E-23   # Boltzman's constant [J/K] */
Amu = 1.6605402E-27         # Atomic mass unit [kg]     */
MElectron = 9.1093897E-31  # Electron mass [kg]        */
QElectron = 1.60217733E-19 # Electron charge [C]       */
Epsilon0 = 8.854187817E-12 # Vacuum permittivity [F/m] */
Mu0 = 1.2566370614E-06     # Magnetic induct. of vac.  */
RBohr = 5.29177349E-11      # Bohr radius [m]           */
ERydberg = 2.1798741E-18   # Ion. pot. Hydrogen [J]    */
EV = 1.60217733E-19         # One electronVolt [J]      */
Theta0 = 5.03974756E+03     # log10(e) * eV/k [K^-1]    */
ABarH = 7.42E-41            # polarizability of Hydrogen [Fm^2]
E_ION_HMIN = 0.754*EV

NM_TO_M = 1.0E-09
CM_TO_M = 1.0E-02
KM_TO_M = 1.0E+03
ERG_TO_JOULE = 1.0E-07
G_TO_KG = 1.0E-03
MICRON_TO_NM = 1.0E+03
MEGABARN_TO_M2 = 1.0E-22

VMICRO_CHAR=3.0e3
B_CHAR=0.0 #TESLA
